function x = sift(boxImage, sceneImage)

size = 128;
boxImage = imresize(boxImage, [size size]);
sceneImage = imresize(sceneImage, [size size]);

boxImage = im2single(boxImage) ;
sceneImage = im2single(sceneImage) ;

im1g = rgb2gray(boxImage);
im2g = rgb2gray(sceneImage);

[~,d1] = vl_sift(im1g) ;
[~,d2] = vl_sift(im2g) ;

[matches, ~] = vl_ubcmatch(d1,d2) ;
numMatches = length(matches) ;

x=numMatches;